// 引入vue-router
import {
	createRouter,
	createWebHistory
} from 'vue-router'
// 引入组件
import login from '../view/login.vue'
import completeSet from '../view/completeSet.vue'
import costInformation from '../view/costInformation.vue'
import personalCenter from '../view/personalCenter.vue'
import qrderQuery from '../view/qrderQuery.vue'
import session from '../view/session.vue'
//配置路由
const router = createRouter({
	history: createWebHistory(),
	routes: [{
		path: '/', //登录页
		name: 'login',
		component: login
	}, {
		path: '/completeSet', //
		name: 'completeSet',
		component: completeSet
	}, {
		path: '/costInformation', //
		name: 'costInformation',
		component: costInformation
	}, {
		path: '/personalCenter', //
		name: 'personalCenter',
		component: personalCenter
	}, {
		path: '/qrderQuery', //
		name: 'qrderQuery',
		component: qrderQuery
	}, {
		path: '/session', //对话框页
		name: 'session',
		component: session
	}]
})
// 导出router
export default router;
