import { createApp } from 'vue';
import router from '@/router';//引入router
import ElementPlus from 'element-plus';//引入element-plus
// import 'element-plus/lib/theme-chalk/index.css';

import App from './App.vue';

// 引入公共样式
import '@/assets/css/style.css';
// 应用动画样式
import '@/assets/css/animate.min.css';

const app = createApp(App);
app.use(router);//挂载使用router
app.use(ElementPlus);//挂载使用ElementPlus
app.mount('#app');
